<?php

use yii\bootstrap\Alert;

if (Yii::$app->session->getFlash('message') != null) {
    echo Alert::widget([
        'options' => [
            'class' => 'alert-info',
        ],
        'body' => Yii::$app->session->getFlash('message'),
    ]);
}

use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\GridView;
use yii\widgets\Menu;
use yii\bootstrap\Tabs;
use yii\widgets\ActiveForm;

$this->title = 'Route';
$this->params['breadcrumbs'] = [
    'Mikrotik',
    'IP',
    $this->title,
];
?>
<div class="site-plugins">
    <div class="row">
        <div class="col-lg-3">
            <?php
            echo Menu::widget($menu);
            ?> 
        </div>
        <div class="col-md-9">
            <h1 style="margin-top: 0px"><?= Html::encode($this->title) ?></h1>
<?php ?>


            <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>
            <?php
            echo
            Tabs::widget([
                'items' => [
                    [
                        'label' => 'General',
                        'content' => $this->render('/mikrotik/ip/routes/general', ['packetMark' => $packetMark, 'model' => $model, 'menu' => $menu, 'form' => $form, 'intName' => $intName]),
                        'active' => true
                    ],
            ]]);
            if ($action == 'update') {
                if ($model->disabled == 'true') {
                    $action_e = 'enable';
                } else {
                    $action_e = 'disable';
                } if ($model->dynamic != 'true') {
                    echo Html::submitButton('Update', ['class' => 'btn btn-primary', 'name' => 'create-button']);
                    echo Html::a('' . ucfirst($action_e) . '', [$action_e, 'id' => $model->id], ['class' => 'btn btn-primary']);
                }
            } else {
                echo Html::submitButton('Create', ['class' => 'btn btn-primary', 'name' => 'create-button']);
            }
            ActiveForm::end();
            ?>



        </div>
    </div>
</div>



